/********************************************************************
 * Copyright © 2004 VHA. All rights reserved
 ********************************************************************/
// Package
package gov.va.med.fw.persistent;

/** A base exception for all DAO classes
 *
 * @author  Vu Le
 * @version 1.0
 */
public class DAOException extends Exception {
    
   /**
	 * An instance of serialVersionUID
	 */
	private static final long serialVersionUID = -2049173170261113264L;

	/**
    * Creates new <code>ServiceException</code> without detail message.
    */
    public DAOException() {
      super();
   }
   
   /**
    * Constructs an <code>ServiceException</code> with the specified detail message.
    * @param msg the detail message.
    */
    public DAOException(String msg) {
      super(msg);
   }
   
   /**
    * Constructs an <code>ServiceException</code> with the specified detail message
    * and a caused exception
    * @param msg the detail message.
    * @param cause the caused exception
    */
    public DAOException(String msg, Throwable cause) {
      super( msg, cause );
   }
}